---
lang: en
title: 'API docs: rest-msgpack.msgpackbodyparsercomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/bodyparsers/rest-msgpack
permalink: /doc/en/lb4/apidocs.rest-msgpack.msgpackbodyparsercomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-msgpack](./rest-msgpack.md) &gt; [MsgPackBodyParserComponent](./rest-msgpack.msgpackbodyparsercomponent.md)

## MsgPackBodyParserComponent class

**Signature:**

```typescript
export declare class MsgPackBodyParserComponent implements Component 
```
**Implements:** [Component](./core.component.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(rawBodyParser)](./rest-msgpack.msgpackbodyparsercomponent._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `MsgPackBodyParserComponent` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[bindings](./rest-msgpack.msgpackbodyparsercomponent.bindings.md)


</td><td>


</td><td>

[Binding](./context.binding.md)<!-- -->\[\]


</td><td>


</td></tr>
</tbody></table>

